Package org.apache.sysds.common

# Enum Class Types.OpOpN

java.lang.Object
java.lang.Enum<Types.OpOpN>
org.apache.sysds.common.Types.OpOpN

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.OpOpN>`, `Constable`

Enclosing interface:
  Types

public static enum Types.OpOpN extends Enum<Types.OpOpN>
Operations that require a variable number of operands

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CBIND`
`EINSUM`
`EVAL`
`LIST`
`MAX`
`MIN`
`MULT`
`PLUS`
`PRINTF`
`RBIND`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCellOp()`
`static Types.OpOpN`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOpN[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PRINTF

public static final Types.OpOpN PRINTF

### CBIND

public static final Types.OpOpN CBIND

### RBIND

public static final Types.OpOpN RBIND

### MIN

public static final Types.OpOpN MIN

### MAX

public static final Types.OpOpN MAX

### PLUS

public static final Types.OpOpN PLUS

### MULT

public static final Types.OpOpN MULT

### EVAL

public static final Types.OpOpN EVAL

### LIST

public static final Types.OpOpN LIST

### EINSUM

public static final Types.OpOpN EINSUM

## Method Details

### values

public static Types.OpOpN[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.OpOpN valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isCellOp

public boolean isCellOp()